
QGIS Application - Bug report #14910

Processing: Cannot start Options, no default modules are loaded

2016-05-26 11:52 PM - Antal Kosza

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22863

Description

Cannot start option and no "default" modules are loaded if any of "external" plugins for geoprocessing are installed, from the repository.

If i disable them, everything is ok.

An error has occurred while executing Python code:

KeyError: u'General' 

Traceback (most recent call last):

  File "/home/toni/FLOSS/qgis/apps_master/share/qgis/python/plugins/processing/ProcessingPlugin.py", line 175, in openConfig

    dlg = ConfigDialog(self.toolbox)

  File "/home/toni/FLOSS/qgis/apps_master/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 91, in init

    self.fillTree()

  File "/home/toni/FLOSS/qgis/apps_master/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 119, in fillTree

    self.fillTreeUsingProviders()

  File "/home/toni/FLOSS/qgis/apps_master/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 145, in

fillTreeUsingProviders

    for setting in settings[group]:

KeyError: u'General'

Python version: 2.7.11+ (default, May  9 2016, 15:54:33) [GCC 5.3.1 20160429] 

QGIS version: 2.15.0-Master Master, ed1235d

Python Path:

/home/toni/FLOSS/qgis/apps_master/share/qgis/python/plugins/processing

/home/toni/.qgis2/python/plugins/WedgeBuffer

/home/toni/.qgis2/python/plugins/ScipyPointClustering

/home/toni/.qgis2/python/plugins/processinglwgeomprovider

/home/toni/.qgis2/python/plugins/postgis_geoprocessing

/home/toni/.qgis2/python/plugins/pktools

/home/toni/FLOSS/qgis/apps_master/share/qgis/python

/home/toni/.qgis2/python

/home/toni/.qgis2/python/plugins

/home/toni/FLOSS/qgis/apps_master/share/qgis/python/plugins

/usr/lib/python2.7

/usr/lib/python2.7/plat-x86_64-linux-gnu

/usr/lib/python2.7/lib-tk

/usr/lib/python2.7/lib-old

/usr/lib/python2.7/lib-dynload

/home/toni/.local/lib/python2.7/site-packages

/usr/local/lib/python2.7/dist-packages
/usr/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages/PILcompat

/usr/lib/python2.7/dist-packages/gtk-2.0

/usr/lib/python2.7/dist-packages/wx-3.0-gtk2

/home/toni/.qgis2//python

/home/toni/.qgis2/python/plugins/DigitizingTools/tools

/home/toni/.qgis2/python/plugins/mmqgis/forms

.

/home/toni/.qgis2/python/plugins/DataDrivenInputMask

History

#1 - 2016-06-03 01:15 AM - Antal Kosza

- Status changed from Open to Closed

The problem disappeared.
